View Issue Details

IDProjectCategoryView StatusLast Update
0030131LazarusWidgetsetpublic2016-06-20 17:35
Reporterlks Assigned ToFelipe Monteiro de Carvalho  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformdarwinOSOSX 
Product Version1.7 (SVN) 
Summary0030131: Patch to support mouse down in cocoa buttons
DescriptionCurrently mouse buttons are unresponsive. The fix is to call the superclass method upon receiving the appropriate action callback.
TagsNo tags attached.
Fixed in Revision52517
LazTarget-
WidgetsetCocoa
Attached Files

Relationships

has duplicate 0030188 closedOndrej Pokorny Cocoa buttons can not be pressed 
related to 0030297 closedFelipe Monteiro de Carvalho Cocoa ListBox can not be clicked 

Activities

lks

2016-05-13 02:59

reporter  

mouse.patch (541 bytes)   
Index: cocoaprivate.pp
===================================================================
--- cocoaprivate.pp	(revision 52300)
+++ cocoaprivate.pp	(working copy)
@@ -1768,8 +1774,8 @@
 
 procedure TCocoaButton.mouseDown(event: NSEvent);
 begin
-  if not callback.MouseUpDownEvent(event) then
-    inherited mouseDown(event);
+  callback.MouseUpDownEvent(event);    // note:  have to call super in order to get actionButtonClick invoked on mouseUp
+  inherited mouseDown(event);
 end;
 
 procedure TCocoaButton.mouseDragged(event: NSEvent);
mouse.patch (541 bytes)   

Felipe Monteiro de Carvalho

2016-06-18 09:47

developer   ~0093276

thanks, applied

Issue History

Date Modified Username Field Change
2016-05-13 02:59 lks New Issue
2016-05-13 02:59 lks File Added: mouse.patch
2016-05-26 23:02 Juha Manninen Relationship added related to 0030188
2016-05-27 06:58 Ondrej Pokorny Relationship replaced has duplicate 0030188
2016-05-27 20:59 Ondrej Pokorny Assigned To => Ondrej Pokorny
2016-05-27 20:59 Ondrej Pokorny Status new => assigned
2016-06-18 09:38 Felipe Monteiro de Carvalho Assigned To Ondrej Pokorny => Felipe Monteiro de Carvalho
2016-06-18 09:47 Felipe Monteiro de Carvalho Fixed in Revision => 52517
2016-06-18 09:47 Felipe Monteiro de Carvalho LazTarget => -
2016-06-18 09:47 Felipe Monteiro de Carvalho Note Added: 0093276
2016-06-18 09:47 Felipe Monteiro de Carvalho Status assigned => resolved
2016-06-18 09:47 Felipe Monteiro de Carvalho Resolution open => fixed
2016-06-20 17:35 Felipe Monteiro de Carvalho Relationship added related to 0030297